Last Comment Bug 700614 - Wrong .mozconfig rule in .gitignore
: Wrong .mozconfig rule in .gitignore
Status: RESOLVED FIXED
[inbound]
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla11
Assigned To: Jacek Caban
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-08 03:24 PST by Jacek Caban
Modified: 2012-02-01 13:57 PST (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (589 bytes, patch)
2011-11-08 03:24 PST, Jacek Caban
jmuizelaar: review+
Details | Diff | Review

Description Jacek Caban 2011-11-08 03:24:14 PST
Created attachment 572773 [details] [diff] [review]
fix v1.0

Bug 676599 introduced .gitignore file (which is great), but the pattern for .mozconfig* files was wrong. It was translated from .hgignore:

^\.mozconfig

(note no tailing '$'), so it should end up with leading '*' in .gitignore. Otherwise I get:

# Untracked files:
#   (use "git add <file>..." to include in what will be committed)
#
#       .mozconfig.mk
#       .mozconfig.out


in git status. I've also added leading '/' so that the pattern matches only files in root source directory (just like .hgignore does).
Comment 2 Ed Morley [:emorley] 2011-11-15 11:49:49 PST
https://hg.mozilla.org/mozilla-central/rev/e30ad8b15626

Note You need to log in before you can comment on or make changes to this bug.